iOS 5.1 Beta 3 Released to Developers

Jan 9, 2012 - 8 Comments

iOS 5.1 Beta 3 released

iOS 5.1 beta 3 has been released to developers today, the latest build is 9B5141a and is available as a fairly small over-the-air delta update to those currently running iOS 5.1 beta 2. As past iOS 5.1 betas have shown, compatibility is with iPad 2, iPad, iPhone 4S, iPhone 4, iPhone 3GS, and iPod touch 3rd and 4th generations. Registered iOS developers should be able to get the latest build through the Apple Dev Center as well.

Not many new features are known, but reports indicate iOS 5.1 beta 3 gives iPhone 4S the ability to disable 3G and manually switch to the slower Edge network, something that currently isn’t possible on the 4S running iOS 5.0.1. While Edge is much slower, it’s better at conserving battery life and has a larger coverage area, particularly in rural locations.

The first beta of iOS 5.1 was made available on November 28, 2011, and the second beta on December 12, presumably the long holiday break contributed to the nearly four weeks between the release of the 2nd and 3rd betas, but either way we’re inching closer and closer to a public release soon.

Enjoy this tip? Subscribe to the OSXDaily newsletter to get more of our great Apple tips, tricks, and important news delivered to your inbox! Enter your email address below:

Related articles:

Posted by: Matt Chan in iPad, iPhone, News

8 Comments

» Comments RSS Feed

  1. Qori says:

    I expect iOS 5.1 to come with iPad 3 in March, just my 2 cents.

  2. Robert says:

    3G toggle is for all iPhones not just the iPhone 4S

  3. LOLFEATURE says:

    Disabling 3G is a feature? Stepping back in time to the cell phone speeds of 2004 is a feature? Really?

  4. B.R. says:

    Does anybody know if this will unlock iphone 4 modem firmware 4.11.8? Let me know if it does so I dont have to buy the h2o sim

  5. B.R. says:

    Will this also fix the ibook problem in my ipad first generation?

  6. 1337Nizm says:

    @Lolfeature this was already possible but wasn’t on the 4s

    @B.R. Don’t jailbreak on Beta’s if are you going to do.
    And the fix you’re asking for is because of your jailbreak.
    I think you have an iPhone 4 with a jb on 5.0.1 stay with that until the alpha release is out.. never use beta’s unless you know what you’re doing or else you will have a brick…

    P.s. there’s already a fix out it’s called ibooksfix

  7. B.R. says:

    @1337Nizm thank you for the information and yes you are right I have iphone 4 5.0.1 and my ipad 1 is on the same jailbreak now first I tried the ibookfix on my ipad and it still dont work it keep saying about a configure problem. Now about 5.0.1 I read in an article and hopefully this will help anybody that we should stay away from 5.1 because the baseband will change to 4.12 making it even harder to unlock our phones I dont know how true that is but look what we are going thru with 4.11.8 so tell me what you think and thanks again

Leave a Reply

 

Shop for Apple & Mac Deals on Amazon.com

Subscribe to OSXDaily

Subscribe to RSS Subscribe to Twitter Feed Follow on Facebook Subscribe to eMail Updates